Harder to transition to perpendicular ladders
04/09/2016 05:51 AM - bewing

Status: Confirmed Start date: 04/09/2016
Severity: Low % Done: 10%
Assignee:

Category: Gameplay

Target version:

Version: Build 01196 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

To transition between perpendicular ladders, your Kerbal is supposed to be next to the perpendicular ladder, and then you simply hit
A or D to switch ladders.
However, in build 1196, nothing happens.

History

#1 - 04/09/2016 06:01 AM - Anquietas

- File Ladder Test.craft added

- File output_log.txt added

- File KSP.log added

- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirmed, attached a craft file that has some more additional ladder configurations.
Workaround for the issue: avoid 90 degree turns; smaller angles seem to work fine.

#2 - 04/14/2016 09:35 PM - sal_vager

- File screenshot412.png added

- File screenshot413.png added

- File screenshot15.png added

- File screenshot16.png added

- File ladder test.craft added

- File screenshot17.png added

- Subject changed from Cannot transition to perpendicular ladders to Harder to transition to perpendicular ladders
Well it's not as easy, but it's not impossible, so "cannot" has been removed from the title.

Ladders have been worked on a bit to reduce the tendency for Kerbals to slide while holding them, so that may be why.

It's probably a good idea to experiment with new ladder configurations.

#3 - 04/15/2016 12:54 PM - bewing

Well it's not as easy, but it's not impossible, so "cannot" has been removed from the title.

Well, I couldn't make it work on two craft. And Anquietas couldn't make it work. And if two experienced KSP players couldn't make it work, then that's
not such a good difficulty level for a newbie. So | would probably say "way too hard to transition to perpendicular ladders." But maybe I'll spend some
time and see what the constraints are.

#4 - 04/15/2016 08:26 PM - Anquietas
bewing wrote:

Well it's not as easy, but it's not impossible, so "cannot" has been removed from the title.

Well, I couldn't make it work on two craft. And Anquietas couldn't make it work. And if two experienced KSP players couldn't make it work, then
that's not such a good difficulty level for a newbie.

I'll second this. While testing | did have one brief moment where it almost worked (kerbal stopped mid-transition at 45 degrees), but besides that |
couldn't get this to work at all. My tests were on a round surface though; didn't try a flat one and didn't see a need to since ladders are most often
used on round surfaces. I'll try a flat surface to compare though.

EDIT: seeing essentially the same thing, though the fluke 45 degree state is far easier to reach with a flat surface.

#5 - 05/09/2016 01:57 AM - Fwiffo

| third this issue. | have crafts and pependicular ladder configurations that worked just fine in 1.0.5 which now don't in 1.1.2 (either when imported, or
when rebuilt from scratch). It was always tricky to get the ladders to line up in such a way to make a seamless turn, but now it seems near
impossible. Spent ages in the editor tweaking, to no avail.

If you mess around enough you can sometimes get the Kerbal to make the transition, but it's not reliable. |, too, usually see them make it about 45
degrees of the way to the perpendicular one.

| agree "drift" was always a problem and it's great to see Squad addressing that, but it would be nice if if they could figure out how to fix this new
problem that was introduced.

#7 - 07/23/2016 07:21 AM - TriggerAu

- Project changed from KSP Pre-Release to Kerbal Space Program
- Category changed from EVA to 28

- Platform Windows added

Moving to KSP as still valid

Files

KSP.log 501 KB 04/09/2016 bewing
perp_ladder.craft 13.5KB 04/09/2016 bewing
perp_ladder.sfs 109 KB 04/09/2016 bewing
output_log.ixt 1.17 MB 04/09/2016 bewing
Ladder Test.craft 18.6 KB 04/09/2016 Anquietas
output_log.ixt 516 KB 04/09/2016 Anquietas
KSP.log 232 KB 04/09/2016 Anquietas
screenshot412.png 763 KB 04/14/2016 sal_vager
screenshot413.png 798 KB 04/14/2016 sal_vager
screenshot16.png 700 KB 04/14/2016 sal_vager
ladder test.craft 14.8 KB 04/14/2016 sal_vager
screenshot15.png 745 KB 04/14/2016 sal_vager
screenshot17.png 732 KB 04/14/2016 sal_vager
